
QGIS Application - Bug report #13204

Rule-base styles bug

2015-08-10 11:16 PM - Mikhail Goloborodov

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21265

Description

In rule-based style expression string '1.1' is equal to string '1.10' or '1.10000' and so on.

So expression ('1.1' = '1.10') or ('1.1' IS '1.10') returns TRUE. It is absolutely inadmissible.

Associated revisions

Revision 8a2e8715 - 2016-06-08 01:48 PM - Nyall Dawson

Always use string comparison in expressions for string fields

Fixes #13204

Revision be8e4f96 - 2016-07-01 12:29 AM - Nyall Dawson

Always use string comparison in expressions for string fields

Fixes #13204

(cherry-picked from 8a2e8715fb3ffa21ecbd3d38310b04257029f656)

History

#1 - 2015-08-10 11:43 PM - Nathan Woodrow

- Target version set to Version 2.12

- Category set to Expressions

#2 - 2015-08-11 03:45 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

Seems to be casting both sides to double if they both look like a double. I will have a look into it at some stage soon.

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#4 - 2016-06-08 04:49 AM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"8a2e8715fb3ffa21ecbd3d38310b04257029f656".
